#include <stdio.h>

using namespace std;

int main()
{
    int n;
    scanf("%d", &n);

    for(int i = 1; i <= n-1; i++){
        int u, v;
        scanf("%d%d", &u, &v);
    }
    printf("%d", n/2);
    return 0;
}